; ***********************************************************************
;Gruppe:	TEXTSTYLES
;
;Autor:		ast
;
;Datum		02.12.05
;
; Funktion:     CreateTextStyle
;
; Zweck:	Erzeugt einen neuen TextStyle
;		Sie bekommt den Namen als erstes Argument, dann folgt eine
;		Liste (dotted pairs!) mit Paaren von Eigenschaften und Werten. 
;
; Argumente:	
;
; Rckgabe:	LIST (Indexliste nach der sortiert werden kann)
;
; Beispiel:	(CreateTextStyle "alexx" '(("fontFile" . "ARIAL.TTF") ("Height" . 0.0)))
;		--> #<VLA-OBJECT IAcadTextStyle 0c6661b4>
;		Vorsicht:
;		Nachdem zBsp. keine TrueType-Fonts gefunden werden, verndert das Programm die Supportpfade (temporr)
;		"C:\\Windows\\Fonts\\" 
;
; ***********************************************************************

(defun CreateTextStyle (strName lstProps / objNewLayer strOldSupportPath)

  (setq strOldSupportPath (vlax-get-property (vlax-get-property (vla-get-preferences (vlax-get-acad-object)) 'Files) 'SupportPath))
  ;um keine Fehlermeldung (beim ndern der Textstile) zu erhalten,
  ;muss ein Supportpfad "C:\\Windows\\Fonts\\" gesetzt werden
  (vlax-put-property
    (vlax-get-property (vla-get-preferences (vlax-get-acad-object)) 'Files)
    'SupportPath
    (strcat
      (vlax-get-property (vlax-get-property (vla-get-preferences (vlax-get-acad-object)) 'Files) 'SupportPath)
      ";"
      "C:\\Windows\\Fonts\\"
    )
  )
    
  (setq objNewTextStyle
    (vla-add (DocumentTextStyles) strName)
  )
  (foreach Item lstProps
    (vlax-put-property
      objNewTextStyle (car Item) (cdr Item)
    )
  )

  ;zurcksetzen der Supportpfade
  (vlax-put-property
    (vlax-get-property (vla-get-preferences (vlax-get-acad-object)) 'Files)
    'SupportPath
    strOldSupportPath
  )
  
  objNewTextStyle
)