; ***********************************************************************
;Gruppe:	TextStyles
;
;Autor:		ast
;
;Datum:		01.12.05
;
;Funktion:     	DeleteTextStylesUnlessGiven
;
;Zweck:        	Lscht alle Textstile ausgenommen die in bergabeliste
;
;Argumente:	LIST 		Liste der Textstile die nicht gelscht werden sollen
;
;Rckgabe:	
;
;Beispiel:	(DeleteTextStylesUnlessGiven '(("NotDelete" . "STANDARD") ("NotDelete" . "ARIAL")))
;
; ***********************************************************************


(DeleteTextStylesUnlessGiven '(("NotDelete" . "STANDARD") ("NotDelete" . "ARIAL")))

(defun DeleteTextStylesUnlessGiven (lstNotDelete / )
  
  ;alle Textstile lschen ausser lstTextStylesNotDelete
  (vlax-for for-item (vlax-get-property (vla-get-activedocument (vlax-get-acad-object)) 'TextStyles)
    (if
      (member (strcase (vlax-get-property for-item 'Name))
        (mapcar
          '(lambda (strItem)
             (cdr strItem)
           )
          lstTextStylesNotDelete
        )
      )
      (princ (strcat "\n" (strcase (vlax-get-property for-item 'Name)) " drin."))
      (progn
	(vla-put-ActiveTextStyle (ThisDrawing) (cdr (car lstTextStylesNotDelete)));anderen Textstil setzen, als der gelscht werden soll
	(setq lstErrorReport (strcat "\nLsche Textstil " (vlax-get-property for-item 'Name) "." "\n"))
	(vla-delete for-item)
      )
    )
  )
)