; ***********************************************************************
; Gruppe:	TEXTSTYLES
;
; Autor:	ast
;
; Datum:	04.05.04
;
; Funktion:     TextStyleActiveAndProps
;
; Zweck:        Macht einen Textstil aktuell (und ndert ggf. die Eigenschaften)
;		Ist der Layer nicht vorhanden, wird dieser mit den bergebenen Properties erstellt
;
; Argumente:	strName		Layername als String
;		lstProps	Eigenschaften als Liste 
;
; Rckgabe:	nil
;
; Beispiel:	(TextStyleActiveAndProps "ARIAL" '(("fontFile" . "ARIAL.TTF") ("Height" . 0.0)))
;
;
; ***********************************************************************

(defun TextStyleActiveAndProps (strName lstProps / objTextStyle)

  (setq strOldSupportPath (vlax-get-property (vlax-get-property (vla-get-Preferences (vlax-get-acad-object)) 'Files) 'SupportPath))
  ;um keine Fehlermeldung (beim ndern der Textstile) zu erhalten,
  ;muss der Supportpfad "C:\\Windows\\Fonts\\" gesetzt werden
  (vlax-put-property
    (vlax-get-property (vla-get-Preferences (vlax-get-acad-object)) 'Files)
    'SupportPath
    (strcat
      (vlax-get-property (vlax-get-property (vla-get-Preferences (vlax-get-acad-object)) 'Files) 'SupportPath)
      ";"
      "C:\\Windows\\Fonts\\"
    )
  )
  
  (if (setq objTextStyle (TextStyleObject strName));vorhanden?
    (progn
      (if (equal (vla-get-ActiveTextStyle (ThisDrawing)) objTextStyle);gewnschter Textstil aktiv?
	()
	(vla-put-ActiveTextStyle (ThisDrawing) objTextStyle);...aktiv setzen
      ) 
      ;Properties ndern...
      (mapcar
        '(lambda (lstItem)
	   ;(princ (car lstItem))(terpri)
	   ;(princ (cdr lstItem))(terpri)
	   ;(princ "\nVlax-get: ")(vlax-get-property objTextStyle (car lstItem))
	   (if (= (vlax-get-property objTextStyle (car lstItem)) (cdr lstItem))
	     ()
	     (vlax-put-property objTextStyle (car lstItem) (cdr lstItem))
	   )
         )
        lstProps
      )
    )
    (vla-put-ActiveTextStyle (ThisDrawing) (CreateTextStyle strName lstProps));Textstil erzeugen
  )

  ;zurcksetzen der Supportpfade
  (vlax-put-property
    (vlax-get-property (vla-get-Preferences (vlax-get-acad-object)) 'Files)
    'SupportPath
    strOldSupportPath
  )
)