; ***********************************************************************
;Gruppe:	TEXTSTYLES
;
;Autor:		Alex Stenz
;
;Datum		02.12.05
;
; Funktion:     TextStyleObject
;
; Zweck:        gibt das Vla-Object zu einem TextStilNamen zurck
;
; Argumente:	strName		Stilname
;
; Rckgabe:	VLA-Object 
;
; Beispiel:	(TextStyleObject "alexx") --> #<VLA-OBJECT IAcadLayer 01101cc4>
;
; ***********************************************************************

(defun TextStyleObject (strName / objResult)
  (vlax-for objItem (DocumentTextStyles)
    (if (= (strcase strName) (strcase (vla-get-name objItem)))
      (setq objResult objItem)
    )
  )
  objResult
)